# eric4.Plugins.WizardPlugins.InputDialogWizard.InputDialogWizardDialog

Module implementing the input dialog wizard dialog.

### Classes

InputDialogWizardDialog | Module implementing the input dialog wizard dialog.

### Functions

None

## InputDialogWizardDialog

Module implementing the input dialog wizard dialog.

It displays a dialog for entering the parameters for the QInputDialog code generator.

### Derived from

QDialog, Ui_InputDialogWizardDialog

### Methods

InputDialogWizardDialog | Constructor
__getCode3 | Private method to get the source code for Qt3.
__getCode4 | Private method to get the source code for Qt4.
getCode | Public method to get the source code.
on_bTest_clicked | Private method to test the selected options.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_rItem_toggled | Private slot to perform actions dependant on the item type selection.

#### InputDialogWizardDialog (Constructor)

InputDialogWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### InputDialogWizardDialog.__getCode3

__getCode3(indLevel, indString)

Private method to get the source code for Qt3.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### InputDialogWizardDialog.__getCode4

__getCode4(indLevel, indString)

Private method to get the source code for Qt4.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### InputDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### InputDialogWizardDialog.on_bTest_clicked

on_bTest_clicked()

Private method to test the selected options.

#### InputDialogWizardDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### InputDialogWizardDialog.on_rItem_toggled

on_rItem_toggled(checked)

Private slot to perform actions dependant on the item type selection.

checked
  flag indicating the checked state (boolean)

Up